store | blogs | forums | twitter | facebook | wiki | mailing lists | downloads | support portal
Atomic Secure Linux
It is currently Wed Apr 23, 2014 4:48 am

» Feed - Atomicorp

All times are UTC - 5 hours [ DST ]




Post new topic Reply to topic  [ 6 posts ] 
Author Message
 Post subject: Conflict updating MYSQL today
Unread postPosted: Sat Oct 22, 2011 12:45 pm 
Offline
Forum User
Forum User

Joined: Thu Aug 25, 2011 9:56 am
Posts: 38
Location: East Coast
Hi, could someone tell me how to get around this mysql51-libs "installing for dependencies" problem?

I'm trying to update mysql, but am being told I have a conflict between attempted installs of mysql-libs-5.5.16-2.el5.art.i386 and mysql51-libs-5.1.59-1.ius.el5.i386 (file /usr/share/mysql/czech/errmsg.sys).

I think I have made a mistake using IUS instead of just ATOMIC by itself... but don't know how to undig myself here.

(I'm running CentOS 5.7 and Plesk 8.6.0)

Thx!
Jim

---output of yum update---
# yum update
Loaded plugins: fastestmirror, priorities
Loading mirror speeds from cached hostfile
* 4PLESK: plesk.4psa.com
* 4PSA: download1.4psa.com
* atomic: www4.atomicorp.com
* base: mirror.metrocast.net
* epel: mirror.metrocast.net
* extras: mirror.steadfast.net
* ius: mirror.rackspace.com
* updates: mirror.steadfast.net
Excluding Packages from 4PLESK Repository
Finished
Excluding Packages from 4PSA Open Source Repository
Finished
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package mysql.i386 0:5.5.16-2.el5.art set to be updated
--> Processing Dependency: libmysqlclient.so.16 for package: php-mysql
--> Processing Dependency: libmysqlclient.so.16(libmysqlclient_16) for package: php-mysql
---> Package mysql-libs.i386 0:5.5.16-2.el5.art set to be updated
---> Package mysql-server.i386 0:5.5.16-2.el5.art set to be updated
--> Running transaction check
---> Package mysql51-libs.i386 0:5.1.59-1.ius.el5 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

===================================================================================================
Package Arch Version Repository Size
===================================================================================================
Updating:
mysql i386 5.5.16-2.el5.art atomic 7.5 M
mysql-libs i386 5.5.16-2.el5.art atomic 1.1 M
mysql-server i386 5.5.16-2.el5.art atomic 16 M
Installing for dependencies:
mysql51-libs i386 5.1.59-1.ius.el5 ius 1.7 M

Transaction Summary
===================================================================================================
Install 1 Package(s)
Upgrade 3 Package(s)

Total size: 27 M
Is this ok [y/N]: y
Downloading Packages:
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test

Transaction Check Error:
file /usr/share/mysql/czech/errmsg.sys conflicts between attempted installs of mysql-libs-5.5.16-2.el5.art.i386 and mysql51-libs-5.1.59-1.ius.el5.i386
file /usr/share/mysql/danish/errmsg.sys conflicts between attempted installs of mysql-libs-5.5.16-2.el5.art.i386 and mysql51-libs-5.1.59-1.ius.el5.i386
file /usr/share/mysql/dutch/errmsg.sys conflicts between attempted installs of mysql-libs-5.5.16-2.el5.art.i386 and mysql51-libs-5.1.59-1.ius.el5.i386
file /usr/share/mysql/english/errmsg.sys conflicts between attempted installs of mysql-libs-5.5.16-2.el5.art.i386 and mysql51-libs-5.1.59-1.ius.el5.i386
file /usr/share/mysql/estonian/errmsg.sys conflicts between attempted installs of mysql-libs-5.5.16-2.el5.art.i386 and mysql51-libs-5.1.59-1.ius.el5.i386
file /usr/share/mysql/french/errmsg.sys conflicts between attempted installs of mysql-libs-5.5.16-2.el5.art.i386 and mysql51-libs-5.1.59-1.ius.el5.i386
file /usr/share/mysql/german/errmsg.sys conflicts between attempted installs of mysql-libs-5.5.16-2.el5.art.i386 and mysql51-libs-5.1.59-1.ius.el5.i386
file /usr/share/mysql/greek/errmsg.sys conflicts between attempted installs of mysql-libs-5.5.16-2.el5.art.i386 and mysql51-libs-5.1.59-1.ius.el5.i386
file /usr/share/mysql/hungarian/errmsg.sys conflicts between attempted installs of mysql-libs-5.5.16-2.el5.art.i386 and mysql51-libs-5.1.59-1.ius.el5.i386
file /usr/share/mysql/italian/errmsg.sys conflicts between attempted installs of mysql-libs-5.5.16-2.el5.art.i386 and mysql51-libs-5.1.59-1.ius.el5.i386
file /usr/share/mysql/japanese/errmsg.sys conflicts between attempted installs of mysql-libs-5.5.16-2.el5.art.i386 and mysql51-libs-5.1.59-1.ius.el5.i386
file /usr/share/mysql/korean/errmsg.sys conflicts between attempted installs of mysql-libs-5.5.16-2.el5.art.i386 and mysql51-libs-5.1.59-1.ius.el5.i386
file /usr/share/mysql/norwegian-ny/errmsg.sys conflicts between attempted installs of mysql-libs-5.5.16-2.el5.art.i386 and mysql51-libs-5.1.59-1.ius.el5.i386
file /usr/share/mysql/norwegian/errmsg.sys conflicts between attempted installs of mysql-libs-5.5.16-2.el5.art.i386 and mysql51-libs-5.1.59-1.ius.el5.i386
file /usr/share/mysql/polish/errmsg.sys conflicts between attempted installs of mysql-libs-5.5.16-2.el5.art.i386 and mysql51-libs-5.1.59-1.ius.el5.i386
file /usr/share/mysql/portuguese/errmsg.sys conflicts between attempted installs of mysql-libs-5.5.16-2.el5.art.i386 and mysql51-libs-5.1.59-1.ius.el5.i386
file /usr/share/mysql/romanian/errmsg.sys conflicts between attempted installs of mysql-libs-5.5.16-2.el5.art.i386 and mysql51-libs-5.1.59-1.ius.el5.i386
file /usr/share/mysql/russian/errmsg.sys conflicts between attempted installs of mysql-libs-5.5.16-2.el5.art.i386 and mysql51-libs-5.1.59-1.ius.el5.i386
file /usr/share/mysql/serbian/errmsg.sys conflicts between attempted installs of mysql-libs-5.5.16-2.el5.art.i386 and mysql51-libs-5.1.59-1.ius.el5.i386
file /usr/share/mysql/slovak/errmsg.sys conflicts between attempted installs of mysql-libs-5.5.16-2.el5.art.i386 and mysql51-libs-5.1.59-1.ius.el5.i386
file /usr/share/mysql/spanish/errmsg.sys conflicts between attempted installs of mysql-libs-5.5.16-2.el5.art.i386 and mysql51-libs-5.1.59-1.ius.el5.i386
file /usr/share/mysql/swedish/errmsg.sys conflicts between attempted installs of mysql-libs-5.5.16-2.el5.art.i386 and mysql51-libs-5.1.59-1.ius.el5.i386
file /usr/share/mysql/ukrainian/errmsg.sys conflicts between attempted installs of mysql-libs-5.5.16-2.el5.art.i386 and mysql51-libs-5.1.59-1.ius.el5.i386

_________________
3.14159265358979323846264338327950
"Ok, yes... I like pie... um, I meant, pi."


Top
 Profile  
 
 Post subject: Re: Conflict updating MYSQL today
Unread postPosted: Sun Oct 23, 2011 10:46 am 
Offline
Forum User
Forum User

Joined: Sun May 20, 2007 10:44 pm
Posts: 37
Hello,
I have the same issue when I tried to upgrade mysql.
My current Mysql: mysql-5.1.59-1.el5.art


[root@ns ~]$ yum update mysupdate mysql mysql-libs mysql-server
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
* atomic: www5.atomicorp.com
* base: mirror.steadfast.net
* centosplus: mirror.raystedman.net
* extras: centos.mirror.lstn.net
* updates: centos.mirror.lstn.net
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package mysql.x86_64 0:5.5.16-2.el5.art set to be updated
--> Processing Dependency: libmysqlclient.so.16 for package: php-mysql
--> Processing Dependency: libmysqlclient.so.16(libmysqlclient_16) for package: php-mysql
--> Processing Dependency: libmysqlclient.so.16()(64bit) for package: php-mysql
--> Processing Dependency: libmysqlclient.so.16(libmysqlclient_16)(64bit) for package: php-mysql
---> Package mysql-libs.i386 0:5.5.16-2.el5.art set to be updated
---> Package mysql-libs.x86_64 0:5.5.16-2.el5.art set to be updated
---> Package mysql-server.x86_64 0:5.5.16-2.el5.art set to be updated
--> Running transaction check
--> Processing Dependency: libmysqlclient.so.16 for package: php-mysql
--> Processing Dependency: libmysqlclient.so.16(libmysqlclient_16) for package: php-mysql
---> Package mysqlclient16.x86_64 0:5.1.57-1.el5.art set to be updated
--> Finished Dependency Resolution
php-mysql-5.3.8-1.el5.art.i386 from installed has depsolving problems
--> Missing Dependency: libmysqlclient.so.16 is needed by package php-mysql-5.3.8-1.el5.art.i386 (installed)
php-mysql-5.3.8-1.el5.art.i386 from installed has depsolving problems
--> Missing Dependency: libmysqlclient.so.16(libmysqlclient_16) is needed by package php-mysql-5.3.8-1.el5.art.i386 (installed)
Error: Missing Dependency: libmysqlclient.so.16(libmysqlclient_16) is needed by package php-mysql-5.3.8-1.el5.art.i386 (installed)
Error: Missing Dependency: libmysqlclient.so.16 is needed by package php-mysql-5.3.8-1.el5.art.i386 (installed)
You could try using --skip-broken to work around the problem
You could try running: package-cleanup --problems
package-cleanup --dupes
rpm -Va --nofiles --nodigest
The program package-cleanup is found in the yum-utils package.


Do you have any idea about this problem?


Top
 Profile  
 
 Post subject: Re: Conflict updating MYSQL today
Unread postPosted: Sun Oct 23, 2011 11:21 am 
Offline
Atomicorp Staff - Site Admin
Atomicorp Staff - Site Admin

Joined: Wed Dec 31, 1969 8:00 pm
Posts: 7779
Location: earth
It looks like youve got an incompatible repo mixed in there with .ius. You'd need to remove those package(s) first.


Top
 Profile  
 
 Post subject: Re: Conflict updating MYSQL today
Unread postPosted: Sun Oct 23, 2011 2:24 pm 
Offline
Forum User
Forum User

Joined: Thu Aug 25, 2011 9:56 am
Posts: 38
Location: East Coast
Ok, I think I've found a solution... first I disabled the IUS repo from /etc/yum.repos.d:

# mv ius.repo ius.repo.NOT

Then, ran yum update:

# yum update

And instead of trying to install the mysql51-libs i386 5.1.59-1.ius.el5 to solve the dependency, yum used mysqlclient16.i386 0:5.1.57-1.el5.art to solve.

SUCCESS! Thanks Scott! : )

Jim

_________________
3.14159265358979323846264338327950
"Ok, yes... I like pie... um, I meant, pi."


Top
 Profile  
 
 Post subject: Re: Conflict updating MYSQL today
Unread postPosted: Sun Oct 23, 2011 6:25 pm 
Offline
Forum User
Forum User

Joined: Sun May 20, 2007 10:44 pm
Posts: 37
scott wrote:
It looks like youve got an incompatible repo mixed in there with .ius. You'd need to remove those package(s) first.



I has been removed php-mysql with rpm -e php-mysql... --no-deps, then I can update mysql; but at this moment php-mysql doesnt work!

(I installed again php-mysql with --force --nodeps) But it doesnt solve the issue.

Thanks for any help!


Top
 Profile  
 
 Post subject: Re: Conflict updating MYSQL today
Unread postPosted: Sun Oct 23, 2011 6:37 pm 
Offline
Atomicorp Staff - Site Admin
Atomicorp Staff - Site Admin

Joined: Wed Dec 31, 1969 8:00 pm
Posts: 7779
Location: earth
And thats why you don't use --nodeps :P


Top
 Profile  
 
Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 6 posts ] 

» Feed - Atomicorp

All times are UTC - 5 hours [ DST ]


Who is online

Users browsing this forum: Bing [Bot] and 2 guests


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Search for:
Jump to:  
Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group